Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server.renderers
Class ContentRenderer

    java.lang.Object
      oracle.ifs.server.renderers.ContentRenderer

All Implemented Interfaces:
  Renderer

Deprecated. iFS 9.0.3 see release notes for more information

    public class ContentRenderer

extends java.lang.Object
implements Renderer

Renders the content of a Document.

(Unpublished)

Constructor Summary
`ContentRenderer(S_LibrarySession session)` Deprecated.

Method Summary
`java.io.Reader` | `renderAsReader(S_LibraryObject slo, java.util.Hashtable options)` Deprecated. Renders the specified LibraryObject as a Reader.
`java.io.InputStream` | `renderAsStream(S_LibraryObject slo, java.util.Hashtable options)` Deprecated. Renders the specified LibraryObject as an InputStream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentRenderer

    public ContentRenderer(S_LibrarySession session)

  Deprecated.

Method Detail

### renderAsStream

    public java.io.InputStream renderAsStream(S_LibraryObject slo,
                                              java.util.Hashtable options)
                                       throws IfsException

  Deprecated.
  Description copied from interface: `Renderer`
  Renders the specified LibraryObject as an InputStream.

  Specified by:
    `renderAsStream` in interface `Renderer`
  Parameters:
    `slo` - the object to be rendered
    `options` - any Renderer-specific options
  Returns:
    the InputStream
  Throws:
    `IfsException` - (IFS-12401) if the operation fails

### renderAsReader

    public java.io.Reader renderAsReader(S_LibraryObject slo,
                                         java.util.Hashtable options)
                                  throws IfsException

  Deprecated.
  Description copied from class: `ContentRenderer`
  Renders the specified LibraryObject as a Reader.

  Specified by:
    `renderAsReader` in interface `Renderer`
  Parameters:
    `slo` - the object to be rendered
    `options` - any Renderer-specific options
  Returns:
    the Reader
  Throws:
    `IfsException` - (IFS-12402) if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD